<?php

/* Checkbox Default Values */
$brnhmbx_robin_ignoreExcerpt_Gallery = get_theme_mod( 'brnhmbx_robin_ignoreExcerpt_Gallery', 0 );
$brnhmbx_robin_ignoreExcerpt_Gallery_Archive = get_theme_mod( 'brnhmbx_robin_ignoreExcerpt_Gallery_Archive', 0 );
/* */

/* Radio Default Values */
$brnhmbx_robin_opt_FeaImg_Gallery = get_theme_mod( 'brnhmbx_robin_opt_FeaImg_Gallery', 'gal' );
$brnhmbx_robin_opt_GalleryPos_Gallery = get_theme_mod( 'brnhmbx_robin_opt_GalleryPos_Gallery', 'content' );
$brnhmbx_robin_opt_HomeImg_Standard = get_theme_mod( 'brnhmbx_robin_opt_HomeImg_Standard', 'fea' );
/* */

$brnhmbx_robin_minHeight_styleB = get_theme_mod( 'brnhmbx_robin_minHeight_styleB', 0 );

?>

<div<?php if ( !is_single() ) { echo ' class="clearfix ' . robin_applyColumns() . '"'; } ?>>

<div <?php post_class(); ?>>

	<article class="post post-gallery clearfix">

		<div class="article-outer<?php echo robin_applyLayout(); ?>">
			<div class="article-inner" <?php if ( !is_single() ) { if ( robin_checkStyle_Z() ) { echo 'style="height: 100px;"'; } else { if ( $brnhmbx_robin_minHeight_styleB ) { echo 'style="min-height: ' . esc_attr( $brnhmbx_robin_minHeight_styleB ) . 'px;"'; } } } ?>>
				<div class="article-container clearfix">

					<?php if ( robin_checkStyle_Z() ) { ?>

						<div class="post-styleZ">
							<a href="<?php esc_url( the_permalink() ); ?>">
								<div class="post-styleZ-inner clearfix">
									<?php if ( has_post_thumbnail() ) { ?><div class="post-styleZ-img"><?php echo the_post_thumbnail( 'brnhmbx-robin-small-thumbnail-image' ); ?></div><?php } ?>
									<div class="post-styleZ-info <?php if ( has_post_thumbnail() ) { echo 'post-styleZ-info-with-t'; } ?>">
										<div class="table-cell-middle"><div class="listing-title brnhmbx-font-1 fw700"><div class="home-listing-title-z-inner"><?php the_title(); ?></div></div></div>
									</div>
								</div>
							</a>
						</div>

					<?php } else {

						if ( has_shortcode( $post->post_content, 'gallery' ) || robin_check_gutenberg_gallery() ) {

							if ( is_single() ) {

								if ( $brnhmbx_robin_opt_GalleryPos_Gallery == 'iof' || $brnhmbx_robin_opt_GalleryPos_Gallery == 'both' ) {

									echo robin_galleryToSlider( 'the_content' );

								} else {

									echo '<div class="fea-img-container">';
									the_post_thumbnail();
									echo '</div>';

								}

							} else {

								if ( $brnhmbx_robin_opt_FeaImg_Gallery == 'gal' ) {

									echo robin_galleryToSlider( 'the_content' );

								} else if ( $brnhmbx_robin_opt_FeaImg_Gallery == 'fea' ) { ?>

									<div class="fea-img-container"><a href="<?php esc_url( the_permalink() ); ?>"><?php if ( $brnhmbx_robin_opt_HomeImg_Standard == 'home' ) { the_post_thumbnail( 'brnhmbx-robin-thumbnail-image' ); } else { the_post_thumbnail(); } ?></a></div>

								<?php }

							}

						} else {

							if ( $brnhmbx_robin_opt_FeaImg_Gallery == 'fea' ) {

								if ( is_single() ) {

									echo '<div class="fea-img-container">';
									the_post_thumbnail();
									echo '</div>';

								} else { ?>

									<div class="fea-img-container"><a href="<?php esc_url( the_permalink() ); ?>"><?php if ( $brnhmbx_robin_opt_HomeImg_Standard == 'home' ) { the_post_thumbnail( 'brnhmbx-robin-thumbnail-image' ); } else { the_post_thumbnail(); } ?></a></div> <?php

								}

							}

						}

						?>

						<?php if ( is_single() ) { ?>

							<?php get_template_part( 'single-start' ); ?>
							<div class="article-pure-content clearfix fs16 brnhmbx-font-2"><?php echo robin_formatGetTheContent(); ?></div>
							<?php get_template_part( 'single-end' ); ?>

						<?php } else {

							get_template_part( 'excerpt-start' );

							if ( ( is_home() && $brnhmbx_robin_ignoreExcerpt_Gallery ) || ( !is_home() && $brnhmbx_robin_ignoreExcerpt_Gallery_Archive ) ) { ?>

								<div class="article-pure-content clearfix fs16 brnhmbx-font-2"><?php echo robin_formatGetTheContent(); ?></div>

							<?php } else {

								echo robin_appendMoreButton();

							}

							get_template_part( 'excerpt-end' );

							?>

						<?php } ?>

					<?php } ?>

				</div>
			</div>
		</div>

	</article>

</div>

</div>
