<?php

/* Checkbox Default Values */
$brnhmbx_robin_sh_FeaImg_Single_Standard = get_theme_mod( 'brnhmbx_robin_sh_FeaImg_Single_Standard', 1 );
$brnhmbx_robin_ignoreExcerpt_Standard = get_theme_mod( 'brnhmbx_robin_ignoreExcerpt_Standard', 0 );
$brnhmbx_robin_ignoreExcerpt_Standard_Archive = get_theme_mod( 'brnhmbx_robin_ignoreExcerpt_Standard_Archive', 0 );
/* */

/* Radio Default Values */
$brnhmbx_robin_opt_FeaImg_Standard = get_theme_mod( 'brnhmbx_robin_opt_FeaImg_Standard', 'fea' );
$brnhmbx_robin_opt_HomeImg_Standard = get_theme_mod( 'brnhmbx_robin_opt_HomeImg_Standard', 'fea' );
/* */

$brnhmbx_robin_minHeight_styleB = get_theme_mod( 'brnhmbx_robin_minHeight_styleB', 0 );

?>

<div<?php if ( !is_single() ) { echo ' class="clearfix ' . robin_applyColumns() . '"'; } ?>>

    <div <?php post_class(); ?>>

        <article class="post clearfix">

            <div class="article-outer<?php echo robin_applyLayout(); ?>">
				<div class="article-inner" <?php if ( !is_single() ) { if ( robin_checkStyle_Z() ) { echo 'style="height: 100px;"'; } else { if ( $brnhmbx_robin_minHeight_styleB ) { echo 'style="min-height: ' . esc_attr( $brnhmbx_robin_minHeight_styleB ) . 'px;"'; } } } ?>>
                    <div class="article-container clearfix">

                    	<?php if ( robin_checkStyle_Z() ) { ?>

                            <div class="post-styleZ">
                                <a href="<?php esc_url( the_permalink() ); ?>">
                                    <div class="post-styleZ-inner clearfix">
                                        <?php if ( has_post_thumbnail() ) { ?><div class="post-styleZ-img"><?php echo the_post_thumbnail( 'brnhmbx-robin-small-thumbnail-image' ); ?></div><?php } ?>
                                        <div class="post-styleZ-info <?php if ( has_post_thumbnail() ) { echo 'post-styleZ-info-with-t'; } ?>">
                                            <div class="table-cell-middle"><div class="listing-title brnhmbx-font-1 fw700"><div class="home-listing-title-z-inner"><?php the_title(); ?></div></div></div>
                                        </div>
                                    </div>
                                </a>
                            </div>

                        <?php } else { ?>

							<?php if ( has_post_thumbnail() && $brnhmbx_robin_opt_FeaImg_Standard == 'fea' ) { if ( !is_single() ) { ?><div class="fea-img-container"><a href="<?php esc_url( the_permalink() ); ?>"><?php } if ( !is_single() && $brnhmbx_robin_opt_HomeImg_Standard == 'home' ) { the_post_thumbnail( 'brnhmbx-robin-thumbnail-image' ); } else { if ( is_single() ) { if ( $brnhmbx_robin_sh_FeaImg_Single_Standard ) { echo '<div class="fea-img-container">'; the_post_thumbnail(); echo '</div>'; } } else { the_post_thumbnail(); } } if ( !is_single() ) { ?></a></div><?php } } ?>

                            <?php if ( is_single() ) { ?>

                            	<?php get_template_part( 'single-start' ); ?>
								<div class="article-pure-content clearfix fs16 brnhmbx-font-2"><?php the_content(); ?></div>
                                <?php get_template_part( 'single-end' ); ?>

                            <?php } else {

                                get_template_part( 'excerpt-start' );

								if ( ( is_home() && $brnhmbx_robin_ignoreExcerpt_Standard ) || ( !is_home() && $brnhmbx_robin_ignoreExcerpt_Standard_Archive ) ) { ?>

									<div class="article-pure-content clearfix fs16 brnhmbx-font-2"><?php the_content(); ?></div>

								<?php } else {

									echo robin_appendMoreButton();

								}

								get_template_part( 'excerpt-end' );

								?>

                            <?php } ?>

                        <?php } ?>

                    </div>
                </div>
            </div>

        </article>

	</div>

</div>
