<?php get_header();

/* Radio Default Values */
$brnhmbx_robin_opt_Layout = get_theme_mod( 'brnhmbx_robin_opt_Layout', '1col_sidebar' );
/* */

?>

		<div class="clearfix main-container<?php echo robin_applyLayout(); ?>">
        	<div class="clearfix site-content<?php echo robin_applyLayout(); ?>">

            	<?php

				/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'above-among-slider' ); } /* */

				/* Slider - Among */
                if ( get_theme_mod( 'brnhmbx_robin_opt_SliderPosition', 'cover' ) == 'among' ) {

                    if ( get_theme_mod( 'brnhmbx_robin_bpts', '0' ) ) {

                        robin_blogPostsToSlider();

                    } else {

                        robin_placeSlider();

                    }

                } /* /Slider - Among */

				/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-among-slider' ); } /* */

				?>

                <!-- wrapper -->
                <div class="wrapper clearfix">

                <?php

                $brnhmbx_robin_counter = 0;

                /* Hide the posts in the feed if "Show Blog Posts in Slider" option is chosen. - Optional */
                if ( get_theme_mod( 'brnhmbx_robin_bptsExclude', '0' ) ) {

                    $indexLoop_args = array(
                        'post__not_in' =>  robin_excludePostsUsedInSlider(),
                        'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1
                    );

                    $indexPosts = new WP_Query( $indexLoop_args );

                    // Pagination fix
                    $temp_query = $wp_query;
                    $wp_query   = NULL;
                    $wp_query   = $indexPosts;

                } else {

                    $indexLoop_args = array(
												'post_type' => 'post',
                        'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1
                    );

                    $indexPosts = new WP_Query( $indexLoop_args );

                }

                $brnhmbx_robin_counter = 0;
				$brnhmbx_robin_banner_AFP = 0;

                if ( $indexPosts->have_posts() ) :
                    while ( $indexPosts->have_posts() ) : $indexPosts->the_post();

                    if ( $brnhmbx_robin_opt_Layout == '2col' || $brnhmbx_robin_opt_Layout == '2col_sidebar' ) {

                        // Open & close row in every 2 entries for 2 columns layout

                        if ( $brnhmbx_robin_counter % 2 == 0 ) { ?>

                            <!-- row -->
                            <div class="row-1-2 clearfix">

                    <?php }

                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;

                        if ( $brnhmbx_robin_counter % 2 == 0 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>

                            </div><!-- /row -->
                            <?php /* Leaderboard Banner */ if ( !$brnhmbx_robin_banner_AFP ) { if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'after-first-post' ); } $brnhmbx_robin_banner_AFP = 1; } /* */ ?>

                    <?php }

                    } else if ( $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) {

                        // Open & close row for the first entry and then in every 2 entries for 1 + 2 columns layout

						if ( $brnhmbx_robin_counter == 0 ) { ?>

                        	<!-- row -->
                            <div class="row-1-1-2 clearfix">

                     	<?php } else {

							if ( $brnhmbx_robin_counter % 2 == 1 ) { ?>

								<!-- row -->
								<div class="row-1-2 clearfix">

						<?php }

						}

                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;

                        if ( $brnhmbx_robin_counter == 1 || $brnhmbx_robin_counter % 2 == 1 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>

                            </div><!-- /row -->
                            <?php /* Leaderboard Banner */ if ( !$brnhmbx_robin_banner_AFP ) { if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'after-first-post' ); } $brnhmbx_robin_banner_AFP = 1; } /* */ ?>

                    <?php }

                    } else if ( $brnhmbx_robin_opt_Layout == '3col' ) {

                        // Open & close row in every 3 entries for 3 columns layout

                        if ( $brnhmbx_robin_counter % 3 == 0 ) { ?>

                            <!-- row -->
                            <div class="row-1-3 clearfix">

                    <?php }

                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;

                        if ( $brnhmbx_robin_counter % 3 == 0 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>

                            </div><!-- /row -->
                            <?php /* Leaderboard Banner */ if ( !$brnhmbx_robin_banner_AFP ) { if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'after-first-post' ); } $brnhmbx_robin_banner_AFP = 1; } /* */ ?>

                    <?php }

                    } else if ( $brnhmbx_robin_opt_Layout == '2_3col' ) {

                        // Open & close row for the first 2 entries and then in every 3 entries for 3 columns layout

						if ( $brnhmbx_robin_counter == 0 ) { ?>

                        	<!-- row -->
                            <div class="row-2-3 clearfix">

                     	<?php } else {

                        if ( $brnhmbx_robin_counter % 3 == 2 ) { ?>

                            <!-- row -->
                            <div class="row-1-3 clearfix">

                    <?php }

						}

                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;

                        if ( $brnhmbx_robin_counter == 2 || $brnhmbx_robin_counter % 3 == 2 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>

                            </div><!-- /row -->
                            <?php /* Leaderboard Banner */ if ( !$brnhmbx_robin_banner_AFP ) { if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'after-first-post' ); } $brnhmbx_robin_banner_AFP = 1; } /* */ ?>

                    <?php }

                    } else {

                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
						/* Leaderboard Banner */ if ( !$brnhmbx_robin_banner_AFP ) { if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'after-first-post' ); } $brnhmbx_robin_banner_AFP = 1; } /* */

                    }

                    endwhile;

                else :

                get_template_part( 'nothing-found' );

                endif;

                wp_reset_postdata();

                ?>

                </div><!-- /wrapper -->

                <?php

                robin_Pagination();

                if ( get_theme_mod( 'brnhmbx_robin_bptsExclude', '0' ) ) {

                    // Reset main query object
                    $wp_query = NULL;
                    $wp_query = $temp_query;

                }

				/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-blog-posts' ); } /* */

                ?>

                <?php /* Home Widgets */
                ob_start( 'robin_compress' );

                if ( is_active_sidebar( 'brnhmbx_robin_home_widgets' ) ) {

                     if ( get_theme_mod( 'brnhmbx_robin_sh_HomeWidgetsFront', 1 ) ) {

                         if ( get_query_var( 'paged' ) <= 1 ) { ?>

                            <div class="home-widget-area">
                                <div class="home-widget-area-inner<?php if ( $brnhmbx_robin_opt_Layout == '1col_sidebar' || $brnhmbx_robin_opt_Layout == '2col_sidebar' || $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) { echo '-col2-sidebar'; } else if ( get_theme_mod( 'brnhmbx_robin_homeWidgetsCol', '2col' ) == '2col' ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_robin_home_widgets' ); ?></div>
                            </div>

                        <?php }

                    } else { ?>

                        <div class="home-widget-area">
							<div class="home-widget-area-inner<?php if ( $brnhmbx_robin_opt_Layout == '1col_sidebar' || $brnhmbx_robin_opt_Layout == '2col_sidebar' || $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) { echo '-col2-sidebar'; } else if ( get_theme_mod( 'brnhmbx_robin_homeWidgetsCol', '2col' ) == '2col' ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_robin_home_widgets' ); ?></div>
                        </div>

                    <?php }

                } ob_end_flush();
                /* /Home Widgets */

				/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-home-widgets' ); } /* */

				?>

            </div><!-- /site-content -->
		</div><!-- /main-container -->

	</div><!-- /article-wrapper-outer -->

    <?php /* Sidebar - Home */
    if ( $brnhmbx_robin_opt_Layout == '1col_sidebar' || $brnhmbx_robin_opt_Layout == '2col_sidebar' || $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) { get_sidebar(); } /* /Sidebar - Home */?>

</div><!-- /site-mid -->

<?php get_footer(); ?>
