<?php

/* Translation */
$brnhmbx_robin_tra_Comment = esc_html__( 'Comment', 'robin' );
$brnhmbx_robin_tra_Comments = esc_html__( 'Comments', 'robin' );
$brnhmbx_robin_tra_Name = esc_html__( 'Name', 'robin' );
$brnhmbx_robin_tra_Email = esc_html__( 'E-mail', 'robin' );
$brnhmbx_robin_tra_Website = esc_html__( 'Website', 'robin' );
$brnhmbx_robin_tra_MustBeLogged = esc_html__( 'You must be logged in to post a comment.', 'robin' );
$brnhmbx_robin_tra_Logged = esc_html__( 'Logged In', 'robin' );
$brnhmbx_robin_tra_LogOut = esc_html__( 'Log Out', 'robin' );
$brnhmbx_robin_tra_LeaveReply = esc_html__( 'Leave a Reply', 'robin' );
$brnhmbx_robin_tra_CancelReply = esc_html__( 'Cancel Reply', 'robin' );
$brnhmbx_robin_tra_PostComment = esc_html__( 'Post Comment', 'robin' );

if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

$brnhmbx_robin_tra_Comment = get_theme_mod( 'brnhmbx_robin_tra_Comment', 'Comment' );
$brnhmbx_robin_tra_Comments = get_theme_mod( 'brnhmbx_robin_tra_Comments', 'Comments' );
$brnhmbx_robin_tra_Name = get_theme_mod( 'brnhmbx_robin_tra_Name', 'Name' );
$brnhmbx_robin_tra_Email = get_theme_mod( 'brnhmbx_robin_tra_Email', 'E-mail' );
$brnhmbx_robin_tra_Website = get_theme_mod( 'brnhmbx_robin_tra_Website', 'Website' );
$brnhmbx_robin_tra_MustBeLogged = get_theme_mod( 'brnhmbx_robin_tra_MustBeLogged', 'You must be logged in to post a comment.' );
$brnhmbx_robin_tra_Logged = get_theme_mod( 'brnhmbx_robin_tra_Logged', 'Logged In' );
$brnhmbx_robin_tra_LogOut = get_theme_mod( 'brnhmbx_robin_tra_LogOut', 'Log Out' );
$brnhmbx_robin_tra_LeaveReply = get_theme_mod( 'brnhmbx_robin_tra_LeaveReply', 'Leave a Reply' );
$brnhmbx_robin_tra_CancelReply = get_theme_mod( 'brnhmbx_robin_tra_CancelReply', 'Cancel Reply' );
$brnhmbx_robin_tra_PostComment = get_theme_mod( 'brnhmbx_robin_tra_PostComment', 'Post Comment' );

}
/* */

$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

if ( ( comments_open() || get_comments_number() ) && !post_password_required() ) { ?>

    <!-- comments-container -->
    <div class="comments-container clearfix">
        <!-- comments-outer -->
        <div class="comments-outer<?php echo robin_applyLayout(); ?>">
            <!-- comments -->
            <div id="comments" class="comments">

            	<h2 class="brnhmbx-font-1"><span class="robin-icon-asterisk mr10"><?php echo esc_attr( $brnhmbx_robin_icon ); ?></span><?php comments_number( '0 ' . esc_attr( $brnhmbx_robin_tra_Comment ), '1 ' . esc_attr( $brnhmbx_robin_tra_Comment ), '% ' . esc_attr( $brnhmbx_robin_tra_Comments ) ); ?><span class="robin-icon-asterisk ml10"><?php echo esc_attr( $brnhmbx_robin_icon ); ?></span></h2><div class="robin-sep"></div>

                <div class="comments-list">
                	<ul>

                    <?php

                        wp_list_comments( array(
                            'avatar_size' => 40,
                            'max_depth' => 3,
                            'style' => 'ul',
                            'callback' => 'brnhmbx_robin_setCommentItem',
                            'type' => 'all'
                        ) );

                    ?>

                    </ul>
                </div>

                <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { ?>

                <div class="comments-paging fs16 brnhmbx-font-1 fw700"><?php echo paginate_comments_links( array( 'prev_text' => '<i class="fa fa-chevron-left"></i>', 'next_text' => '<i class="fa fa-chevron-right"></i>' ) ); ?></div>

                <?php } ?>

                    <?php

                        $req = get_option( 'require_name_email' );
                        $aria_req = ( $req ? " aria-required=true" : '' );

                        $brnhmbx_robin_tra_fields = array (
                            'author' => '<div class="comment-form-author-outer"><div class="comment-form-author fs14 brnhmbx-font-1 fw700 comment-input-hdr">' . '<label for="author">' . esc_attr( $brnhmbx_robin_tra_Name ) . ( $req ? ' <span class="required"> *</span>' : '' ) . '</label></div> ' .
                                        '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" ' . esc_attr( $aria_req ) . ' /></div>',
                            'email' => '<div class="comment-form-email-outer"><div class="comment-form-email fs14 brnhmbx-font-1 fw700 comment-input-hdr"><label for="email">' . esc_attr( $brnhmbx_robin_tra_Email ) . ( $req ? ' <span class="required"> *</span>' : '' ) . '</label></div> ' .
                                        '<input id="email" name="email" ' . 'type="text"' . ' value="' . esc_attr( $commenter['comment_author_email'] ) . '" aria-describedby="email-notes"' . esc_attr( $aria_req ) . ' /></div>',
                            'url' => '<div class="comment-form-url fs14 brnhmbx-font-1 fw700 comment-input-hdr"><label for="url">' . esc_attr( $brnhmbx_robin_tra_Website ) . '</label></div> ' .
                                        '<input id="url" name="url" ' . 'type="text"' . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" />',
                        );

                        $brnhmbx_robin_tra_comment_field = '<div class="comment-form-comment fs14 brnhmbx-font-1 fw700 comment-input-hdr"><label for="comment">' . esc_attr( $brnhmbx_robin_tra_Comment ) . '</label></div><textarea id="comment" name="comment" aria-describedby="form-allowed-tags" aria-required="true"></textarea>';

                        $brnhmbx_robin_tra_must_log_in = '<div class="must-log-in fs14 brnhmbx-font-1 fw700">' . sprintf( '<a href="%s">' . esc_attr( $brnhmbx_robin_tra_MustBeLogged ) . '.</a>', wp_login_url(apply_filters( 'the_permalink', get_permalink() ) ) ) . '</div>';

                        $brnhmbx_robin_tra_logged_in_as = '<div class="logged-in-as fs14 brnhmbx-font-1 fw700">' . sprintf( esc_attr( $brnhmbx_robin_tra_Logged ) . ': <a href="%1$s">%2$s</a> / <a href="%3$s">' . esc_attr( $brnhmbx_robin_tra_LogOut ) . '</a>', get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink() ) ) ) . '</div>';

                        comment_form( array(
                            'fields' => $brnhmbx_robin_tra_fields,
                            'comment_field' => $brnhmbx_robin_tra_comment_field,
                            'comment_notes_after' => '',
                            'logged_in_as' => '',
                            'comment_notes_before' => '',
                            'title_reply' => esc_attr( $brnhmbx_robin_tra_LeaveReply ),
                            'title_reply_to' => esc_attr( $brnhmbx_robin_tra_LeaveReply ),
                            'cancel_reply_link' => '<span class="brnhmbx-font-1 fw700 fs14 cancel-display-block">' . esc_attr( $brnhmbx_robin_tra_CancelReply ) . '<i class="fa fa-close ml5"></i></span>',
                            'label_submit' => esc_attr( $brnhmbx_robin_tra_PostComment ),
                            'must_log_in' => $brnhmbx_robin_tra_must_log_in,
                            'logged_in_as' => $brnhmbx_robin_tra_logged_in_as
                        ) );
                    ?>

            </div><!-- /comments -->
        </div><!-- /comments-outer -->
    </div><!-- /comments-container -->

<?php }

function brnhmbx_robin_setCommentItem( $comment, $args, $depth ) {

	/* Translation */
	$brnhmbx_robin_tra_At = esc_html__( 'at', 'robin' );
	$brnhmbx_robin_tra_Reply = esc_html__( 'Reply', 'robin' );
	$brnhmbx_robin_tra_Edit = esc_html__( 'Edit', 'robin' );
	$brnhmbx_robin_tra_Awaiting = esc_html__( 'Comment awaiting approval.', 'robin' );

	if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

	$brnhmbx_robin_tra_At = get_theme_mod( 'brnhmbx_robin_tra_At', 'at' );
	$brnhmbx_robin_tra_Reply = get_theme_mod( 'brnhmbx_robin_tra_Reply', 'Reply' );
	$brnhmbx_robin_tra_Edit = get_theme_mod( 'brnhmbx_robin_tra_Edit', 'Edit' );
	$brnhmbx_robin_tra_Awaiting = get_theme_mod( 'brnhmbx_robin_tra_Awaiting', 'Comment awaiting approval.' );

	}
	/* */

	$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

	$GLOBALS['comment'] = $comment; ?>

	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">

        <div class="comment-item-outer">

            <div class="comment-item clearfix">

                <?php if ( get_avatar( $comment ) ) { ?><div class="comment-author-img"><?php echo get_avatar( $comment, $args['avatar_size'] ); ?></div><?php } ?>

                <div class="comment-content clearfix">

                	<div class="comment-info">

                        <div class="comment-info-inner">
                            <div class="table-cell-middle">
                                <div class="comment-date brnhmbx-font-3 fs12"><?php printf( '%1$s ' . esc_attr( $brnhmbx_robin_tra_At ) . ' %2$s', get_comment_date(),  get_comment_time() ) ?></div>
                                <div class="comment-author-name brnhmbx-font-1 fw700 fs16"><?php echo get_comment_author_link(); ?></div>
                            </div>
                        </div>

                    </div>

                    <div class="comment-reply-edit clearfix">

                    	<?php if ( $depth < 3 ) { ?>

                        <div class="btnReply fs16 brnhmbx-font-1 fw700">
                            <?php comment_reply_link( array_merge( $args, array( 'reply_text' => '<span class="robin-icon-asterisk mr5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . esc_attr( $brnhmbx_robin_tra_Reply ) . '<span class="robin-icon-asterisk ml5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ), $comment->comment_ID); ?>
                        </div>

                        <?php } ?>

                        <?php if ( user_can( wp_get_current_user(), 'administrator' ) ) { ?>

                        <div class="btnEdit fs16 brnhmbx-font-1 fw700">
                            <?php edit_comment_link( '<span class="robin-icon-asterisk mr5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' . esc_attr( $brnhmbx_robin_tra_Edit ) . '<span class="robin-icon-asterisk ml5">' . esc_attr( $brnhmbx_robin_icon ) . '</span>' ); ?>
                        </div>

                        <?php } ?>

                    </div>

                </div>

            </div>

            <div class="comment-text clearfix<?php if ( get_avatar( $comment ) ) { echo ' comment-text-w-a'; } ?>">

                <?php if ( $comment->comment_approved == '0' ) { ?>

                	<div class="comment-awaiting fs12 brnhmbx-font-3"><?php echo esc_attr( $brnhmbx_robin_tra_Awaiting ); ?></div>

				<?php } ?>

				<div class="brnhmbx-font-2 fs14"><?php comment_text(); ?></div>

			</div>

        </div>

<?php } ?>
