<?php

/* Checkbox Default Values */
$brnhmbx_robin_sh_Date_Home = get_theme_mod( 'brnhmbx_robin_sh_Date_Home', 1 );
$brnhmbx_robin_sh_btnComments_Home = get_theme_mod( 'brnhmbx_robin_sh_btnComments_Home', 1 );
$brnhmbx_robin_sh_Author = get_theme_mod( 'brnhmbx_robin_sh_Author', 1 );
/* */

/* Translation */
$brnhmbx_robin_tra_By = esc_html__( 'by', 'robin' );
$brnhmbx_robin_tra_comment = esc_html__( 'comment', 'robin' );
$brnhmbx_robin_tra_comments = esc_html__( 'comments', 'robin' );

if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

$brnhmbx_robin_tra_By = get_theme_mod( 'brnhmbx_robin_tra_By', 'by' );
$brnhmbx_robin_tra_comment = get_theme_mod( 'brnhmbx_robin_tra_comment', 'comment' );
$brnhmbx_robin_tra_comments = get_theme_mod( 'brnhmbx_robin_tra_comments', 'comments' );

}
/* */

?>

<div class="article-content-outer<?php echo robin_applyLayout(); ?>">
    <div class="article-content-inner">

        <?php if ( $brnhmbx_robin_sh_Date_Home || ( $brnhmbx_robin_sh_btnComments_Home && comments_open() ) ) { ?>
        <div class="t-a-c"><?php if ( $brnhmbx_robin_sh_Date_Home ) { ?><div class="brnhmbx-font-3 fs14 article-date"><a href="<?php esc_url( the_permalink() ); ?>"><?php echo get_the_date(); ?></a></div><?php } ?>
        <?php if ( $brnhmbx_robin_sh_btnComments_Home && comments_open() ) { ?><div class="brnhmbx-font-3 fs14 listing-comment<?php if ( !$brnhmbx_robin_sh_Date_Home ) { echo '-w-o-date'; } ?> clearfix"><a href="<?php esc_url( the_permalink() ); ?>#comments"><div class="listing-comment-icon"><i class="fa fa-comment"></i></div><div class="listing-comment-number"><?php comments_number( '0 ' . esc_attr( $brnhmbx_robin_tra_comment ), '1 ' . esc_attr( $brnhmbx_robin_tra_comment ), '% ' . esc_attr( $brnhmbx_robin_tra_comments ) ); ?></div></a></div><?php } ?>
        </div><?php } ?>
        <?php if ( is_sticky() && is_home() && !is_paged() ) { echo '<div class="t-a-c mb5"><span class="sticky-icon fs20"><i class="fa fa-bookmark"></i></span></div>'; } ?>
        <?php if ( get_post_format() != 'aside' ) { ?><h1 class="home-listing-title-inner brnhmbx-font-1"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a></h1><?php } ?>
        <?php if ( $brnhmbx_robin_sh_Author ) { ?><div class="brnhmbx-font-3 fs14 article-author t-a-c"><?php echo esc_attr( $brnhmbx_robin_tra_By ); ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></div><?php } ?>
