<?php

$sh_Footer = get_theme_mod( 'brnhmbx_robin_sh_Footer', 1 );
$sh_FooterWidgets = get_theme_mod( 'brnhmbx_robin_sh_FooterWidgets', 1 );
$sh_FooterBTT = get_theme_mod( 'brnhmbx_robin_sh_FooterBTT', 1 );
$sh_FooterCopyright = get_theme_mod( 'brnhmbx_robin_sh_FooterCopyright', 1 );
$sh_FooterSocial = get_theme_mod( 'brnhmbx_robin_sh_FooterSocial', 1 );
$instagramShortcode = get_theme_mod( 'brnhmbx_robin_InstagramShortcode', '' );

?>

	<?php if ( $sh_Footer && ( $sh_FooterWidgets || $sh_FooterBTT || $sh_FooterCopyright || $sh_FooterSocial || $instagramShortcode ) ) { ?>
    <div class="footer-box-outer">
        <footer class="clearfix">

        	<?php /* Instagram Slider Widget */
			if ( $instagramShortcode ) {

				echo '<div class="instagram-label brnhmbx-font-3 fs14">' . esc_attr( get_theme_mod( 'brnhmbx_robin_InstagramText', 'follow @ instagram' ) ) . '</div>';
				echo do_shortcode( $instagramShortcode );

			}
			/* */ ?>

			<?php if ( is_active_sidebar( 'brnhmbx_robin_footer_widgets' ) && $sh_FooterWidgets ) {

                ob_start( 'robin_compress' ); ?>

                <div class="footer-box-inner clearfix">
                    <div class="footer-widget-area">
                        <div class="footer-widget-area-inner<?php if ( get_theme_mod( 'brnhmbx_robin_footerWidgetsCol', '4col' ) == '2col' ) { echo '-col2'; } else if ( get_theme_mod( 'brnhmbx_robin_footerWidgetsCol', '4col' ) == '4col' ) { echo '-col4'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_robin_footer_widgets' ); ?></div>
                    </div>
                </div>

            <?php ob_end_flush(); } ?>

            <?php if ( $sh_FooterBTT || $sh_FooterCopyright || $sh_FooterSocial ) { ?>
            <div class="footer-bottom-outer<?php if ( !is_active_sidebar( 'brnhmbx_robin_footer_widgets' ) || !$sh_FooterWidgets ) { echo ' pt50'; } ?>">
                <div class="footer-bottom clearfix">
                	<?php if ( $sh_FooterBTT ) { ?><div class="btn-to-top fs15"><i class="fa fa-chevron-up"></i></div><?php } ?>
					<?php if ( $sh_FooterCopyright ) { ?><div class="footer-text brnhmbx-font-2"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_text_Footer', '2019 Robin. All rights reserved.' ) ); ?></div><?php } ?>
					<?php if ( $sh_FooterSocial ) { echo robin_placeSocialIcons( 'footer-social' ); } ?>
                </div>
            </div>
            <?php } ?>

        </footer>
    </div>
    <?php } ?>

</div><!-- /body-outer -->

<div class="hiddenInfo">
	<span id="mapInfo_Zoom"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_rng_MapZoom', 15 ) ); ?></span>
	<span id="mapInfo_coorN"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_coorN', '49.0138' ) ); ?></span>
	<span id="mapInfo_coorE"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_coorE', '8.38624' ) ); ?></span>
	<span id="bxInfo_Controls"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_opt_bxControls', 'arrow' ) ); ?></span>
	<span id="bxInfo_Auto"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_bxAuto', 0 ) ); ?></span>
	<span id="bxInfo_Controls_Main"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_opt_bxControls_Main', 'both' ) ); ?></span>
	<span id="bxInfo_Auto_Main"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_bxAuto_Main', 0 ) ); ?></span>
	<span id="bxInfo_Pause"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_sliderPause', 4000 ) ); ?></span>
	<span id="bxInfo_Infinite"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_sliderInfinite', 1 ) ); ?></span>
	<span id="bxInfo_Random"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_sliderRandom', 0 ) ); ?></span>
	<span id="bxInfo_Mode"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_sliderMode', 'horizontal' ) ); ?></span>
	<span id="siteUrl"><?php echo esc_attr( get_home_url() ); ?></span>
	<span id="trigger-sticky-value"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_triggerSticky', '300' ) ); ?></span>
	<span id="menu-logo-l-r"><?php if ( get_theme_mod( 'brnhmbx_robin_opt_LogoPos', 'logo-top' ) == 'logo-left' && get_theme_mod( 'brnhmbx_robin_opt_MenuPos', 'menu-center' ) == 'menu-right' ) { echo'true'; } ?></span>
	<span id="spot-duration"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_spotDuration', '4000' ) ); ?></span>
	<span id="robin-icon-asterisk"><?php echo esc_attr( get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' ) ); ?></span>
	<span id="slicknav_apl"><?php echo esc_attr( get_theme_mod( 'robin_slicknav_apl', 0 ) ); ?></span>
</div>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
