jQuery( document ).ready( function( $ ) {

	"use strict";

	/* START */

	var current_post_format = '';
	var current_css = '';

	setTimeout( function() {

		$( '.editor-post-format select' ).on( 'change', function() {
			current_post_format = $(this).val();
			robin_executePostFormat();
		} );

	}, 3000 );

	function robin_executePostFormat() {

		if( current_post_format == 'gallery' ) {
			current_css = robin_gutenberg_params.gallery;
		} else if( current_post_format == 'video' ) {
			current_css = robin_gutenberg_params.video;
		} else {
			current_css = robin_gutenberg_params.standard;
		}

		$( '#robin-gutenberg-inline-css' ).text( current_css );

	}

	/* END */

} );
