<?php get_header();

	/* Checkbox Default Values */
	$brnhmbx_robin_sh_SidebarInnerPage = get_theme_mod( 'brnhmbx_robin_sh_SidebarInnerPage', 1 );
	$brnhmbx_robin_sh_PageComments = get_theme_mod( 'brnhmbx_robin_sh_PageComments', 1 );
	$brnhmbx_robin_sh_SocialBar_Page = get_theme_mod( 'brnhmbx_robin_sh_SocialBar_Page', 1 );
	/* */

	?>
	<div class="clearfix main-container<?php echo robin_applyLayout(); ?>">
        <div class="clearfix site-content<?php echo robin_applyLayout(); ?>">

			<?php

			/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'above-page' ); } /* */

            if ( have_posts() ) :
                while ( have_posts() ) : the_post(); ?>

                <article class="post post-page clearfix">
                    <div class="article-outer<?php echo robin_applyLayout(); ?>">
                        <div class="article-inner">
                            <div class="article-container clearfix">

                                <?php if ( get_theme_mod( 'brnhmbx_robin_sh_Map', 0 ) && get_theme_mod( 'brnhmbx_robin_mapPage' ) == get_the_ID() ) { ?>
                                    <div id="googleMap"></div>
                                <?php } else {
									?><div class="fea-img-container"><?php the_post_thumbnail(); ?></div><?php
                                } ?>

                                <div class="article-content-outer<?php echo robin_applyLayout(); ?>">
    								<div class="article-content-inner">

                                    <h1 class="home-listing-title-inner brnhmbx-font-1"><?php the_title(); ?></h1>
                                    <div class="article-pure-content clearfix fs16 brnhmbx-font-2"><?php the_content(); ?></div>

                                    <?php
                                    get_template_part( 'pager-bar' );
									if ( function_exists( 'WC' ) ) { if ( !is_cart() && !is_checkout() && !is_account_page() ) { if ( $brnhmbx_robin_sh_SocialBar_Page ) { get_template_part( 'social-bar' ); } } } else { if ( $brnhmbx_robin_sh_SocialBar_Page ) { get_template_part( 'social-bar' ); } }
                                    ?>

                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </article>

                <?php

				/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-page' ); } /* */

				if ( $brnhmbx_robin_sh_PageComments ) { comments_template(); }

				/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-page-comments' ); } /* */

                endwhile;

                else :

                get_template_part( 'nothing-found' );

                endif; ?>

            </div><!-- /site-content -->
		</div><!-- /main-container -->

    </div><!-- /article-wrapper-outer -->

    <!-- sidebar -->

    <?php

	if ( function_exists( 'WC' ) && ( is_cart() || is_checkout() || is_account_page() ) ) {

		// Hide Sidebar on WooCommerce Pages

	} else {

		if ( $brnhmbx_robin_sh_SidebarInnerPage ) {

			if ( get_theme_mod( 'brnhmbx_robin_ExtraSidebar_Page' ) ) {

				echo '<div class="sidebar clearfix">';
					dynamic_sidebar( 'brnhmbx_robin_sidebar_page' );
				echo '</div>';

			} else {

				get_sidebar();

			}

		}

	}

    ?>

    <!-- /sidebar -->

</div><!-- /site-mid -->

<?php get_footer(); ?>
