<?php get_header();

		/* Checkbox Default Values */
		$brnhmbx_robin_sh_RelatedPosts = get_theme_mod( 'brnhmbx_robin_sh_RelatedPosts', 1 );
		$brnhmbx_robin_sh_PostComments = get_theme_mod( 'brnhmbx_robin_sh_PostComments', 1 );
		$brnhmbx_robin_sh_SidebarPost_Standard = get_theme_mod( 'brnhmbx_robin_sh_SidebarPost_Standard', 1 );
		$brnhmbx_robin_sh_SidebarPost_Gallery = get_theme_mod( 'brnhmbx_robin_sh_SidebarPost_Gallery', 1 );
		$brnhmbx_robin_sh_SidebarPost_Video = get_theme_mod( 'brnhmbx_robin_sh_SidebarPost_Video', 1 );
		$brnhmbx_robin_sh_RPDate = get_theme_mod( 'brnhmbx_robin_sh_RPDate', 1 );
		/* */

		/* Radio Default Values */
		$brnhmbx_robin_opt_PageNaviBullet = get_theme_mod( 'brnhmbx_robin_opt_PageNaviBullet', 'image' );
		$brnhmbx_robin_opt_RPBase = get_theme_mod( 'brnhmbx_robin_opt_RPBase', 'tag' );
		/* */

		/* Translation */
		$brnhmbx_robin_tra_RelatedPosts = esc_html__( 'Related Posts', 'robin' );

		if ( get_theme_mod( 'brnhmbx_robin_IgnorePOT', 0 ) ) {

		$brnhmbx_robin_tra_RelatedPosts = get_theme_mod( 'brnhmbx_robin_tra_RelatedPosts', 'Related Posts' );

		}
		/* */

		$brnhmbx_robin_icon = get_theme_mod( 'brnhmbx_robin_iconAsterisk', '-' );

		?>

    	<div class="clearfix main-container<?php echo robin_applyLayout(); ?>">
        	<div class="clearfix site-content<?php echo robin_applyLayout(); ?>">

				<?php

				/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'above-post' ); } /* */

                if ( have_posts() ) :
                    while ( have_posts() ) : the_post();

                    if ( function_exists( 'robin_setPostViews' ) ) { robin_setPostViews( get_the_ID() ); }

                    get_template_part( 'content', get_post_format() );

                    endwhile;

                    else :

                    get_template_part( 'nothing-found' );

                    endif;

                    ?>

                    <?php if ( get_theme_mod( 'brnhmbx_robin_sh_AuthorBox', 0 ) ) { echo robin_author_box(); } ?>

                    <div class="page-navi clearfix">

                        <?php

                        $next_post = get_adjacent_post( false, '', false );
                        $prev_post = get_adjacent_post( false, '', true );

                        if( !empty( $prev_post ) ) { ?>

                            <div class="page-navi-prev clearfix">
                                <a href="<?php echo get_permalink( $prev_post->ID ); ?>">
                                    <div class="page-navi-btn clearfix">
										<?php if ( has_post_thumbnail( $prev_post->ID ) && $brnhmbx_robin_opt_PageNaviBullet == 'image' ) { ?><div class="page-navi-prev-img"><?php echo get_the_post_thumbnail( $prev_post->ID, 'brnhmbx-robin-small-thumbnail-image' ); ?></div><?php } ?>
                                        <div class="page-navi-prev-info">
                                            <?php if ( $brnhmbx_robin_opt_PageNaviBullet == 'arrow' ) { ?><div class="table-cell-middle page-navi-prev-arrow"><i class="fa fa-angle-left"></i></div><?php } ?>
                                            <div class="table-cell-middle brnhmbx-font-1 fs16 fw700"><?php echo get_the_title( $prev_post->ID ); ?></div>
                                        </div>
                                    </div>
                                </a>
                            </div>

                        <?php }

                        if( !empty( $next_post ) ) { ?>

                            <div class="page-navi-next clearfix">
                                <a href="<?php echo get_permalink( $next_post->ID ); ?>">
                                    <div class="page-navi-btn clearfix">
										<?php if ( has_post_thumbnail( $next_post->ID ) && $brnhmbx_robin_opt_PageNaviBullet == 'image' ) { ?><div class="page-navi-next-img"><?php echo get_the_post_thumbnail( $next_post->ID, 'brnhmbx-robin-small-thumbnail-image' ); ?></div><?php } ?>
                                        <div class="page-navi-next-info">
                                            <div class="table-cell-middle brnhmbx-font-1 fs16 fw700"><?php echo get_the_title( $next_post->ID ); ?></div>
                                            <?php if ( $brnhmbx_robin_opt_PageNaviBullet == 'arrow' ) { ?><div class="table-cell-middle page-navi-next-arrow"><i class="fa fa-angle-right"></i></div><?php } ?>
                                        </div>
                                    </div>
                                </a>
                            </div>

                         <?php } ?>

                    </div>

                    <?php

					/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-post' ); } /* */

					$brnhmbx_robin_orig_post = $post;
					global $post;
					$brnhmbx_robin_tags = wp_get_post_tags( $post->ID );
					$brnhmbx_robin_cats = wp_get_post_categories( $post->ID );

					if ( $brnhmbx_robin_opt_RPBase == 'tag' ) { $brnhmbx_robin_RPBaseTermIDs = $brnhmbx_robin_tags; } else if ( $brnhmbx_robin_opt_RPBase == 'category' ) { $brnhmbx_robin_RPBaseTermIDs = $brnhmbx_robin_cats; }

					if ( $brnhmbx_robin_RPBaseTermIDs ) {

						if ( $brnhmbx_robin_opt_RPBase == 'tag' ) {

							$brnhmbx_robin_tag_ids = array();
							foreach ( $brnhmbx_robin_tags as $brnhmbx_robin_individual_tag ) { $brnhmbx_robin_tag_ids[] = $brnhmbx_robin_individual_tag->term_id; }

							$args = array(
								'tag__in' => $brnhmbx_robin_tag_ids,
								'post__not_in' => array( $post->ID ),
								'posts_per_page' => 3, // Number of related posts to display.
								'ignore_sticky_posts' => 1

							);

						} else if ( $brnhmbx_robin_opt_RPBase == 'category' ) {

							$brnhmbx_robin_cat_ids = array();
							foreach ( $brnhmbx_robin_cats as $brnhmbx_robin_individual_cat ) { $cat = get_category( $brnhmbx_robin_individual_cat ); $brnhmbx_robin_cat_ids[] = $cat->term_id; }

							$args = array(
								'category__in' => $brnhmbx_robin_cat_ids,
								'post__not_in' => array( $post->ID ),
								'posts_per_page' => 3, // Number of related posts to display.
								'ignore_sticky_posts' => 1

							);

						}

						$brnhmbx_robin_my_query = new wp_query( $args );

						if ( $brnhmbx_robin_sh_RelatedPosts && $brnhmbx_robin_my_query->have_posts() ) { ?>

							<!-- related-posts-container -->
							<div class="related-posts-container clearfix">
								<!-- related-posts-outer -->
								<div class="clearfix related-posts-outer<?php echo robin_applyLayout(); ?>">
									<!-- related-posts -->
									<div class="related-posts clearfix">

                                    <h2 class="brnhmbx-font-1"><span class="robin-icon-asterisk mr10"><?php echo esc_attr( $brnhmbx_robin_icon ); ?></span><?php echo esc_attr( $brnhmbx_robin_tra_RelatedPosts ); ?><span class="robin-icon-asterisk ml10"><?php echo esc_attr( $brnhmbx_robin_icon ); ?></span></h2><div class="robin-sep"></div>

										<!-- related-posts-row -->
										<div class="related-posts-row<?php echo robin_applyLayout(); ?>">
											<?php

											while( $brnhmbx_robin_my_query->have_posts() ) {
												$brnhmbx_robin_my_query->the_post();

											?>

											<div class="clearfix related-post-item<?php echo robin_applyLayout(); ?>">
                                                <a class="brnhmbx-posts-widget" href="<?php esc_url( the_permalink() ); ?>">

													<?php if ( has_post_thumbnail() ) { ?><div class="listing-img-outer"><?php the_post_thumbnail( 'brnhmbx-robin-thumbnail-image' ); ?></div><?php } ?>
                                                    <div class="listing-box clearfix">
                                                        <div class="listing-title brnhmbx-font-1 fw700"><?php the_title(); ?></div>
                                                        <?php if ( $brnhmbx_robin_sh_RPDate ) { ?><div class="brnhmbx-font-3 listing-date"><?php echo get_the_date(); ?></div><?php } ?>                                                    </div>

                                                </a>
											</div>

											<?php }

											$post = $brnhmbx_robin_orig_post;
											wp_reset_postdata();

											?>
										</div><!-- /related-posts-row -->

									</div><!-- /related-posts -->
								</div><!-- /related-posts-outer -->
							</div><!-- /related-posts-container -->

						<?php }

					}

				if ( $brnhmbx_robin_sh_PostComments ) { comments_template(); }

				/* Leaderboard Banner */ if ( function_exists( 'robin_detectLeaderboard' ) ) { robin_detectLeaderboard ( 'below-post-comments' ); } /* */

				?>

            </div><!-- /site-content -->
		</div><!-- /main-container -->

    </div><!-- /article-wrapper-outer -->

    <!-- sidebar -->
    <?php

        if ( ( get_post_format() == '' || get_post_format() == 'aside' || get_post_format() == 'link' ) && $brnhmbx_robin_sh_SidebarPost_Standard ) {

            if ( get_theme_mod( 'brnhmbx_robin_ExtraSidebar_Post' ) ) {

                echo '<div class="sidebar clearfix">';
                    dynamic_sidebar( 'brnhmbx_robin_sidebar_post' );
                echo '</div>';

            } else {

                get_sidebar();

            }

        } else if ( get_post_format() == 'gallery' && $brnhmbx_robin_sh_SidebarPost_Gallery ) {

            if ( get_theme_mod( 'brnhmbx_robin_ExtraSidebar_Post' ) ) {

                echo '<div class="sidebar clearfix">';
                    dynamic_sidebar( 'brnhmbx_robin_sidebar_post' );
                echo '</div>';

            } else {

                get_sidebar();

            }

        } else if ( get_post_format() == 'video' && $brnhmbx_robin_sh_SidebarPost_Video ) {

            if ( get_theme_mod( 'brnhmbx_robin_ExtraSidebar_Post' ) ) {

                echo '<div class="sidebar clearfix">';
                    dynamic_sidebar( 'brnhmbx_robin_sidebar_post' );
                echo '</div>';

            } else {

                get_sidebar();

            }

        }

    ?>
    <!-- /sidebar -->

</div><!-- /site-mid -->

<?php get_footer(); ?>
