<?php
/*
Template Name: Robin Posts
*/
?>

<?php get_header();
			
/* Radio Default Values */
$brnhmbx_robin_opt_Layout = get_theme_mod( 'brnhmbx_robin_opt_Layout', '1col_sidebar' );
/* */

?>

		<div class="clearfix main-container<?php echo robin_applyLayout(); ?>">            
        	<div class="clearfix site-content<?php echo robin_applyLayout(); ?>">
                            
                <!-- wrapper -->
                <div class="wrapper clearfix">
                
                <?php
				       				
				$indexLoop_args = array(
					'post_type' => 'post',
					'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1
				);
                    
                $indexPosts = new WP_Query( $indexLoop_args );
				$wp_query   = $indexPosts;
                
                $brnhmbx_robin_counter = 0;
    
                if ( $indexPosts->have_posts() ) :
                    while ( $indexPosts->have_posts() ) : $indexPosts->the_post();
                    
                    if ( $brnhmbx_robin_opt_Layout == '2col' || $brnhmbx_robin_opt_Layout == '2col_sidebar' ) {
                        
                        // Open & close row in every 2 entries for 2 columns layout
                            
                        if ( $brnhmbx_robin_counter % 2 == 0 ) { ?>
                        
                            <!-- row -->
                            <div class="row-1-2 clearfix">
                        
                    <?php }
                                
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                                
                        if ( $brnhmbx_robin_counter % 2 == 0 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>
                        
                            </div><!-- /row -->
                                        
                    <?php }
                    
                    } else if ( $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) {
                        
                        // Open & close row for the first entry and then in every 2 entries for 1 + 2 columns layout
						
						if ( $brnhmbx_robin_counter == 0 ) { ?>
                        
                        	<!-- row -->
                            <div class="row-1-1-2 clearfix">
                            
                     	<?php } else {
                            
							if ( $brnhmbx_robin_counter % 2 == 1 ) { ?>
							
								<!-- row -->
								<div class="row-1-2 clearfix">
							
						<?php }
					
						}
                                
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                                
                        if ( $brnhmbx_robin_counter == 1 || $brnhmbx_robin_counter % 2 == 1 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>
                        
                            </div><!-- /row -->
                                        
                    <?php }
                    
                    } else if ( $brnhmbx_robin_opt_Layout == '3col' ) {
                        
                        // Open & close row in every 3 entries for 3 columns layout
                            
                        if ( $brnhmbx_robin_counter % 3 == 0 ) { ?>
                        
                            <!-- row -->
                            <div class="row-1-3 clearfix">
                        
                    <?php }
                                
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                                
                        if ( $brnhmbx_robin_counter % 3 == 0 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>
                        
                            </div><!-- /row -->
                                        
                    <?php }
                    
                    } else if ( $brnhmbx_robin_opt_Layout == '2_3col' ) {
                        
                        // Open & close row for the first 2 entries and then in every 3 entries for 3 columns layout
						
						if ( $brnhmbx_robin_counter == 0 ) { ?>
                        
                        	<!-- row -->
                            <div class="row-2-3 clearfix">
                            
                     	<?php } else {
                            
                        if ( $brnhmbx_robin_counter % 3 == 2 ) { ?>
                        
                            <!-- row -->
                            <div class="row-1-3 clearfix">
                        
                    <?php }
					
						}
                                
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                                
                        if ( $brnhmbx_robin_counter == 2 || $brnhmbx_robin_counter % 3 == 2 || $brnhmbx_robin_counter == $wp_query->post_count ) { ?>
                        
                            </div><!-- /row -->
                                        
                    <?php }
                    
                    } else {
                        
                        get_template_part( 'content', get_post_format() );
                        $brnhmbx_robin_counter += 1;
                        
                    }
                                    
                    endwhile;
                    
                else :
                    
                get_template_part( 'nothing-found' );
                    
                endif;
                
                wp_reset_postdata();
                    
                ?>
                                                
                </div><!-- /wrapper -->
                
                <?php robin_Pagination(); ?>
                        
            </div><!-- /site-content -->
		</div><!-- /main-container -->

	</div><!-- /article-wrapper-outer -->
        
    <?php /* Sidebar - Home */
    if ( $brnhmbx_robin_opt_Layout == '1col_sidebar' || $brnhmbx_robin_opt_Layout == '2col_sidebar' || $brnhmbx_robin_opt_Layout == '1_2col_sidebar' ) { get_sidebar(); } /* /Sidebar - Home */?>
    
</div><!-- /site-mid -->

<?php get_footer(); ?>